PPIx::Regexp::Token::Assertion(3)

NAME
PPIx::Regexp::Token::Assertion - Represent a simple assertion.

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new( 'qr{\bfoo\b}smx' )
     ->print();

INHERITANCE
"PPIx::Regexp::Token::Assertion" is a PPIx::Regexp::Token.

"PPIx::Regexp::Token::Assertion" has no descendants.

DESCRIPTION
This class represents one of the simple assertions; that is, those that are not defined via parentheses. This includes the zero-width assertions "^", "$", "\b", "\B", "\A", "\Z", "\z" and "\G", as well as:

•   The "\z" assertion added in Perl 5.005,

•   The "\K" assertion added in Perl 5.009005,

•   The "\b{gcb}" assertion (and friends) added in Perl 5.021009. Similar braced constructions (like "\b{foo}") are unknown tokens.

METHODS
This class provides no public methods beyond those provided by its superclass.

  is_matcher
This method returns a true value because an assertion actually matches something.

SUPPORT
Support is by the author. Please file bug reports at <https://rt.cpan.org/Public/Dist/Display.html?Name=PPIx-Regexp>, <https://github.com/trwyant/perl-PPIx-Regexp/issues>, or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III wyant at cpan dot org

COPYRIGHT AND LICENSE
Copyright (C) 2009-2023 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.